org.openstreetmap.josm.plugins.streetside.gui

## Class StreetsidePreferenceSetting

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.gui.StreetsidePreferenceSetting

- All Implemented Interfaces:
    PreferenceSetting, SubPreferenceSetting, StreetsideLoginListener

      public class StreetsidePreferenceSetting
      extends Object
      implements SubPreferenceSetting, StreetsideLoginListener

  Creates the preferences panel for the plugin.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `private static class` | `StreetsidePreferenceSetting.LoginAction` Opens the StreetsideOAuthUI window and lets the user log in.
    `private class` | `StreetsidePreferenceSetting.LogoutAction` Logs the user out.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private JCheckBox` | `cutOffSeq`
    `private JCheckBox` | `developer`
    `private JCheckBox` | `displayHour`
    `private JComboBox<String>` | `downloadModeComboBox`
    `private JCheckBox` | `format24`
    `private JCheckBox` | `hoverEnabled`
    `private JCheckBox` | `imageLinkToBlurEditor`
    `private JButton` | `loginButton`
    `private JLabel` | `loginLabel`
    `private JPanel` | `loginPanel`
    `private JButton` | `logoutButton`
    `private JCheckBox` | `moveTo`
    `private SpinnerNumberModel` | `preFetchSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreetsidePreferenceSetting()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGui(PreferenceTabbedPane gui)`
    `TabPreferenceSetting` | `getTabPreferenceSetting(PreferenceTabbedPane gui)`
    `boolean` | `isExpert()`
    `boolean` | `ok()`
    `void` | `onLogin(String username)` Should be called whenever the user logs into a mapillary account.
    `void` | `onLogout()` Should be called whenever the user logs out of a mapillary account.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### downloadModeComboBox

          private final JComboBox<String> downloadModeComboBox

    - #### displayHour

          private final JCheckBox displayHour

    - #### format24

          private final JCheckBox format24

    - #### moveTo

          private final JCheckBox moveTo

    - #### hoverEnabled

          private final JCheckBox hoverEnabled

    - #### cutOffSeq

          private final JCheckBox cutOffSeq

    - #### imageLinkToBlurEditor

          private final JCheckBox imageLinkToBlurEditor

    - #### developer

          private final JCheckBox developer

    - #### preFetchSize

          private final SpinnerNumberModel preFetchSize

    - #### loginButton

          private final JButton loginButton

    - #### logoutButton

          private final JButton logoutButton

    - #### loginLabel

          private final JLabel loginLabel

    - #### loginPanel

          private final JPanel loginPanel

  - ### Constructor Detail

    - #### StreetsidePreferenceSetting

          public StreetsidePreferenceSetting()

  - ### Method Detail

    - #### getTabPreferenceSetting

          public TabPreferenceSetting getTabPreferenceSetting(PreferenceTabbedPane gui)

      Specified by:
        `getTabPreferenceSetting` in interface `SubPreferenceSetting`

    - #### addGui

          public void addGui(PreferenceTabbedPane gui)

      Specified by:
        `addGui` in interface `PreferenceSetting`

    - #### onLogin

          public void onLogin(String username)

      Description copied from interface: `StreetsideLoginListener`
      Should be called whenever the user logs into a mapillary account. E.g. for updating the GUI to reflect the login status.
      Specified by:
        `onLogin` in interface `StreetsideLoginListener`
      Parameters:
        `username` - the username that the user is now logged in with

    - #### onLogout

          public void onLogout()

      Description copied from interface: `StreetsideLoginListener`
      Should be called whenever the user logs out of a mapillary account. E.g. for updating the GUI to reflect the login status.
      Specified by:
        `onLogout` in interface `StreetsideLoginListener`

    - #### ok

          public boolean ok()

      Specified by:
        `ok` in interface `PreferenceSetting`

    - #### isExpert

          public boolean isExpert()

      Specified by:
        `isExpert` in interface `PreferenceSetting`

JOSM Plugins